Subject: Offline Message from Edward Addams: I bought the EB-6, I can’t get the handle
From: Zendesk Chat <[email-masked]>
To: [email-masked], [email-masked]
Date: Sat, 13 Aug 2022 12:38:36 -0000

From: Edward Addams <[email-masked]>
Phone: 8596991442
Location: Lexington, United States
URL: https://swagtron.com/ebike/off-road-electric-bikes/
Department: SwagTron

I bought the EB-6, I can’t get the handle bars to tighten all the way. They’re tight, but can move on bumps/curbs. The he nut is as tight as I can get it. Also the seat fastener is the same way, it’s tight but it won’t tighten enough not to move on hopping curbs etc. 

----
Zopim
https://www.zopim.com